jest.mock("../../Contexts/VehicleContext");
jest.mock("../../Contexts/StatusContext");
jest.mock("../../Contexts/UserContext");
jest.mock("@material-ui/core/utils/unstable_useId", () =>
  jest.fn().mockReturnValue("mui-test-id")
);

import {render, waitFor} from "@testing-library/react";
import {StatusProvider} from "../../Contexts/StatusContext";
import {setToken, UserProvider} from "../../Contexts/UserContext";
import RemoteCommandsTab from "./RemoteCommandsTab";
import addSnapshotSerializer from "../../../utils/snapshot";
import { TEST_AUTH_OBJECT_FISKER } from "../../../utils/testing";
import React from "react";

const renderRemoteCommandsTab = async () => {
  const { container } = render(
    <StatusProvider>
      <UserProvider>
        <RemoteCommandsTab vin="TESTVIN1234567890" />
      </UserProvider>
    </StatusProvider>
  );
  await waitFor(() => {
    /* render */
  });
  return container;
};

describe("RemoteCommandsTab", () => {
  beforeAll(() => {
    addSnapshotSerializer(expect);
  });

  it("Render", async () => {
    setToken(TEST_AUTH_OBJECT_FISKER);
    const container = await renderRemoteCommandsTab();
    expect(container).toMatchSnapshot();
  });
});
